#!/bin/bash

function usage_exit()
{
	cat >&2 <<EOF

Usage: get_freertos_version.sh <binary_paths>

DESCRIPTION
	This script prints the version of freertos binaries from Compulab's
	FreeRTOS BSP.
EOF
exit 0
}

if [[ $# -lt 1 || "$1" == "--help" || "$1" == "-h" ]]; then
	usage_exit
fi

grep -oaE "FreeRTOS [0-9]+\.[0-9]+\.[0-9]+.*-[0-9]+\.[0-9]+" $@
